import { LoggerService } from '@nestjs/common';
import { BootstrapOptions } from "../interface";
import pino, { Logger } from 'pino';
export declare class RootLogger implements LoggerService {
    private readonly bootstrapOptions;
    logger: Logger;
    constructor(bootstrapOptions: BootstrapOptions);
    info(message: any, ...optionalParams: any[]): void;
    child(options: object): pino.Logger<import("pino").LoggerOptions & pino.ChildLoggerOptions>;
    /**
     * Write a 'log' level log. equivalent to info
     */
    log(message: any, ...optionalParams: any[]): void;
    /**
     * Write an 'error' level log.
     */
    error(message: any, ...optionalParams: any[]): void;
    /**
     * Write a 'warn' level log.
     */
    warn(message: any, ...optionalParams: any[]): void;
    /**
     * Write a 'debug' level log.
     */
    debug(message: any, ...optionalParams: any[]): void;
    /**
     * Write a 'trace' level log.
     */
    trace(message: any, ...optionalParams: any[]): void;
    get stream(): {
        write(message: string): void;
    };
}
