"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runInContext = void 0;
const async_context_1 = require("@nestjs-steroids/async-context");
async function runInContext(app, context, handler) {
    const asyncContext = app.get(async_context_1.AsyncContext);
    await asyncContext.registerCallback(async () => {
        for (const [key, value] of Object.entries(context)) {
            asyncContext.set(key, value);
        }
        await handler();
    });
}
exports.runInContext = runInContext;
//# sourceMappingURL=context.js.map